<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include_once 'config.php';
only_reg();
$set['title']='Speed of Race - Заправка';
include_once '../sys/inc/thead.php';
title();


if (isset($_POST['save'])){


if ($user['cilynders_baks']>=$cena_zap0){
if (isset($_POST['avto']) && $_POST['avto']==0)
{
$user['avto']=0;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap0)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=55)."' WHERE `id` = '$user[id]' LIMIT 1");
}
}else $err='У вас недостаточно средств';




if ($user['cilynders_baks']>=$cena_zap1){

if (isset($_POST['avto']) && $_POST['avto']==1)
{
$user['avto']=1;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=61)."' WHERE `id` = '$user[id]' LIMIT 1");
}

}else $err='У вас недостаточно средств';



if ($user['cilynders_baks']>=$cena_zap2){
if (isset($_POST['avto']) && $_POST['avto']==2)
{
$user['avto']=2;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=45)."' WHERE `id` = '$user[id]' LIMIT 1");
}
}else $err='У вас недостаточно средств';

if ($user['cilynders_baks']>=$cena_zap3){
if (isset($_POST['avto']) && $_POST['avto']==3)
{
$user['avto']=3;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap3)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=50)."' WHERE `id` = '$user[id]' LIMIT 1");
}
}else $err='У вас недостаточно средств';

if ($user['cilynders_baks']>=$cena_zap4){
if (isset($_POST['avto']) && $_POST['avto']==4)
{
$user['avto']=4;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap4)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=55)."' WHERE `id` = '$user[id]' LIMIT 1");
}
}else $err='У вас недостаточно средств';

if ($user['cilynders_baks']>=$cena_zap5){
if (isset($_POST['avto']) && $_POST['avto']==5)
{
$user['avto']=5;
mysql_query("UPDATE `user` SET `cilynders_baks` = '".($user['cilynders_baks']-$cena_zap5)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `cilynders_fuel` = '".($user['cilynders_fuel']=60)."' WHERE `id` = '$user[id]' LIMIT 1");
}
}else $err='У вас недостаточно средств';

if (!isset($err))msg('Автомобиль успешно заправлен');
}
err();
aut();
echo "<div style=\" background-color: #0b0f2e; color: #ffffff;\">";
if (isset($user))
{
echo "$verh";
echo "<div style=\"background-color:#2f2e58;\"><center><img src=\"img/my.gif\" alt=\"\" /></center></div>";
echo "<center><img width=\"100\" height=\"100\" src=\"img/benz.png\" alt=\"\" /></center>";


echo "<form method='post' action='?$passgen'>\n";
if ($user['cilynders_fuel']!=55){
if ($user['avto']==0){
echo "<img width=\"143\" height=\"60\" src=\"avto/0.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==0?' checked="checked"':null)." value='0' />Заправить Fiat Punto <font color=\"#f1e022\">$cena_zap0 $</font><br />";
}}else{$bak_polon = 1;}
if ($user['cilynders_fuel']!=61){
if ($user['avto']==1){
echo "<img width=\"143\" height=\"60\" src=\"avto/1.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==1?' checked="checked"':null)." value='1' />Заправить Renault Clio V6 <font color=\"#f1e022\">$cena_zap1 $</font><br />";
}}else{echo "Топливный бак полон, ваш автомобиль не нуждается в заправке.";$bak_polon = 1;}

if ($user['cilynders_fuel']!=45){if ($user['avto']==2){
echo "<img width=\"143\" height=\"60\" src=\"avto/2.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==2?' checked="checked"':null)." value='2' />Заправить Toyota Yaris <font color=\"#f1e022\">$cena_zap2 $</font><br />";
}}else{echo "Топливный бак полон, ваш автомобиль не нуждается в заправке.";$bak_polon = 1;}if ($user['cilynders_fuel']!=50){if ($user['avto']==3){
echo "<img width=\"143\" height=\"60\" src=\"avto/3.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==3?' checked="checked"':null)." value='3' />Заправить Peugeot 206 <font color=\"#f1e022\">$cena_zap3 $</font><br />";
}}else{echo "Топливный бак полон, ваш автомобиль не нуждается в заправке.";$bak_polon = 1;}if ($user['cilynders_fuel']!=55){if ($user['avto']==4){
echo "<img width=\"143\" height=\"60\" src=\"avto/4.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==4?' checked="checked"':null)." value='4' />Заправить VW Golf GTI <font color=\"#f1e022\">$cena_zap4 $</font><br />";
}}else{echo "Топливный бак полон, ваш автомобиль не нуждается в заправке.";$bak_polon = 1;}if ($user['cilynders_fuel']!=60){if ($user['avto']==5){
echo "<img width=\"143\" height=\"60\" src=\"avto/5.png\" alt=\"\" /></br>
<input name='avto' type='radio' ".($user['avto']==5?' checked="checked"':null)." value='5' />Заправить Citroen C4 <font color=\"#f1e022\">$cena_zap5 $</font><br />";
}}else{echo "Топливный бак полон, ваш автомобиль не нуждается в заправке.";$bak_polon = 1;}
echo "</select>\n";
if ($bak_polon!=1){
echo "<input type='submit' name='save' value='Оплатить' />\n";
echo "</form>\n";
}
echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";
echo "<a href=\"start.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/race.gif\"  alt=\"\" /> Заезд</div></a>";

echo "<div class=\"hr\"></div>";
echo "<a href=\"index.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/cityss.gif\"  alt=\"\" /> Город</div></a>";


echo "<div class=\"hr\"></div>";
echo "<a href=\"profil.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/profiles.gif\"  alt=\"\" /> Профиль</div></a>";


echo "<div class=\"hr\"></div>";
echo "<a href=\"garage.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/garages.gif\"  alt=\"\" /> В гараж</div></a>";
}else{
echo "<div style=\"float:left; padding-right: 4px;\"><img src=\"img/girl.gif\" alt=\"\" /></div>
 - Приветствую тебя Гость,
добро пожаловать в захватывающию онлайн игру <b>Speed Of Race</b>.</br>В игре тебя ждет захватывающая гонка, в которой ты можешь заработать денег, 
и стать лидером среди участников гонки!</br>
 - Гость, я вижу 
 что ты еще не зарегистрироан, пройди <a href=\"/reg.php\">регистрацию</a> на этом сайте, и тогда тебе будет доступна игра <b>Speed Of Race</b>!.";

}
echo "</div>";
include_once '../sys/inc/tfoot.php';
?>